Example

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
CPhysiologicalStates.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
Include dependency graph for CPhysiologicalStates.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clCPhysiologicalStatesValue
struct | clCPhysiologicalStatesBaselines

## Typedefs
typedef struct clCPhysiologicalStatesValue | clCPhysiologicalStatesValue
typedef void(* | clCPhysiologicalStatesHandlerPhysiologicalStatesUpdate) (clCPhysiologicalStates, const clCPhysiologicalStatesValue *)
typedef void(* | clCPhysiologicalStatesHandlerInitialized) (clCPhysiologicalStates)
typedef struct clCPhysiologicalStatesBaselines | clCPhysiologicalStatesBaselines
typedef void(* | clCPhysiologicalStatesHandlerCalibrated) (clCPhysiologicalStates, const clCPhysiologicalStatesBaselines *)

## Functions
| CLC_CLASS_WN (ClassificationPhysiologicalStatesPrivate, clCPhysiologicalStates)
CL_DLL clCPhysiologicalStates | clCPhysiologicalStates_Create (clCSession session) NOEXCEPT
| Create a PhysiologicalStates classifier.
CL_DLL void | clCPhysiologicalStates_Destroy (clCPhysiologicalStates states) NOEXCEPT
| Destroy PhysiologicalStates classifier.
| CLC_STRUCT (clCPhysiologicalStatesDelegatePhysiologicalStatesUpdate)
CL_DLL void | clCPhysiologicalStatesOnPhysiologicalStatesUpdateEvent_Set (clCPhysiologicalStatesDelegatePhysiologicalStatesUpdate delegate, clCPhysiologicalStatesHandlerPhysiologicalStatesUpdate handler) NOEXCEPT
| Set handler for physiological states update event.
CL_DLL clCPhysiologicalStatesDelegatePhysiologicalStatesUpdate | clCPhysiologicalStates_GetOnPhysiologicalStatesUpdateEvent (clCPhysiologicalStates states) NOEXCEPT
| Set delegate for physiological states update event.
| CLC_STRUCT (clCPhysiologicalStatesDelegateInitialized)
CL_DLL void | clCPhysiologicalStatesOnInitializedEvent_Set (clCPhysiologicalStatesDelegateInitialized delegate, clCPhysiologicalStatesHandlerInitialized handler) NOEXCEPT
| Set handler for physiological staes initialized delegate.
CL_DLL clCPhysiologicalStatesDelegateInitialized | clCPhysiologicalStates_GetOnInitializedEvent (clCPhysiologicalStates states) NOEXCEPT
| Get delegate for physiological states initialized event.
| CLC_STRUCT (clCPhysiologicalStatesDelegateCalibrated)
CL_DLL void | clCPhysiologicalStatesOnCalibratedEvent_Set (clCPhysiologicalStatesDelegateCalibrated delegate, clCPhysiologicalStatesHandlerCalibrated handler) NOEXCEPT
| Set handler for physiological staes calibrated delegate.
CL_DLL clCPhysiologicalStatesDelegateCalibrated | clCPhysiologicalStates_GetOnCalibratedEvent (clCPhysiologicalStates states) NOEXCEPT
| Get delegate for physiological states calibrated event.
CL_DLL void | clCPhysiologicalStates_Initialize (clCPhysiologicalStates states) NOEXCEPT
| Initialize physiological states classifier with default calculation period.
CL_DLL void | clCPhysiologicalStates_InitializeWithCalculationPeriod (clCPhysiologicalStates states, float calculationPeriod) NOEXCEPT
| Initialize physiological states classifier with custom calculation period.
CL_DLL void | clCPhysiologicalStates_StartCalibration (clCPhysiologicalStates states) NOEXCEPT
| Start physiological states calibration.

## Typedef Documentation

## ◆ clCPhysiologicalStatesBaselines

typedef struct clCPhysiologicalStatesBaselines clCPhysiologicalStatesBaselines

## ◆ clCPhysiologicalStatesHandlerCalibrated

typedef void(* clCPhysiologicalStatesHandlerCalibrated) (clCPhysiologicalStates, const clCPhysiologicalStatesBaselines *)

## ◆ clCPhysiologicalStatesHandlerInitialized

typedef void(* clCPhysiologicalStatesHandlerInitialized) (clCPhysiologicalStates)

## ◆ clCPhysiologicalStatesHandlerPhysiologicalStatesUpdate

typedef void(* clCPhysiologicalStatesHandlerPhysiologicalStatesUpdate) (clCPhysiologicalStates, const clCPhysiologicalStatesValue *)

## ◆ clCPhysiologicalStatesValue

typedef struct clCPhysiologicalStatesValue clCPhysiologicalStatesValue

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | ClassificationPhysiologicalStatesPrivate | ,
|  | clCPhysiologicalStates |
| ) |  |

## ◆ CLC_STRUCT() [1/3]

CLC_STRUCT | ( | clCPhysiologicalStatesDelegateCalibrated |  | ) |

## ◆ CLC_STRUCT() [2/3]

CLC_STRUCT | ( | clCPhysiologicalStatesDelegateInitialized |  | ) |

## ◆ CLC_STRUCT() [3/3]

CLC_STRUCT | ( | clCPhysiologicalStatesDelegatePhysiologicalStatesUpdate |  | ) |

## ◆ clCPhysiologicalStates_Create()

CL_DLL clCPhysiologicalStates clCPhysiologicalStates_Create | ( | clCSession | session | ) |

Create a PhysiologicalStates classifier.

Parameters

  session | session handle. Valid session must be passed (does not need to be active)

Returns
  PhysiologicalStates classifier handle.

## ◆ clCPhysiologicalStates_Destroy()

CL_DLL void clCPhysiologicalStates_Destroy | ( | clCPhysiologicalStates | states | ) |

Destroy PhysiologicalStates classifier.

Parameters

  states | classifier handle.

## ◆ clCPhysiologicalStates_GetOnCalibratedEvent()

CL_DLL clCPhysiologicalStatesDelegateCalibrated clCPhysiologicalStates_GetOnCalibratedEvent | ( | clCPhysiologicalStates | states | ) |

Get delegate for physiological states calibrated event.

## ◆ clCPhysiologicalStates_GetOnInitializedEvent()

CL_DLL clCPhysiologicalStatesDelegateInitialized clCPhysiologicalStates_GetOnInitializedEvent | ( | clCPhysiologicalStates | states | ) |

Get delegate for physiological states initialized event.

## ◆ clCPhysiologicalStates_GetOnPhysiologicalStatesUpdateEvent()

CL_DLL clCPhysiologicalStatesDelegatePhysiologicalStatesUpdate clCPhysiologicalStates_GetOnPhysiologicalStatesUpdateEvent | ( | clCPhysiologicalStates | states | ) |

Set delegate for physiological states update event.

## ◆ clCPhysiologicalStates_Initialize()

CL_DLL void clCPhysiologicalStates_Initialize | ( | clCPhysiologicalStates | states | ) |

Initialize physiological states classifier with default calculation period.

Parameters

  states | classifier handle

## ◆ clCPhysiologicalStates_InitializeWithCalculationPeriod()

CL_DLL void clCPhysiologicalStates_InitializeWithCalculationPeriod | ( | clCPhysiologicalStates | states,
|  | float | calculationPeriod
| ) |  |

Initialize physiological states classifier with custom calculation period.

Parameters

  states | classifier handle
  calculationPeriod | number of seconds between states calculations

## ◆ clCPhysiologicalStates_StartCalibration()

CL_DLL void clCPhysiologicalStates_StartCalibration | ( | clCPhysiologicalStates | states | ) |

Start physiological states calibration.

Parameters

  states | classifier handle

## ◆ clCPhysiologicalStatesOnCalibratedEvent_Set()

CL_DLL void clCPhysiologicalStatesOnCalibratedEvent_Set | ( | clCPhysiologicalStatesDelegateCalibrated | delegate,
|  | clCPhysiologicalStatesHandlerCalibrated | handler
| ) |  |

Set handler for physiological staes calibrated delegate.

## ◆ clCPhysiologicalStatesOnInitializedEvent_Set()

CL_DLL void clCPhysiologicalStatesOnInitializedEvent_Set | ( | clCPhysiologicalStatesDelegateInitialized | delegate,
|  | clCPhysiologicalStatesHandlerInitialized | handler
| ) |  |

Set handler for physiological staes initialized delegate.

## ◆ clCPhysiologicalStatesOnPhysiologicalStatesUpdateEvent_Set()

CL_DLL void clCPhysiologicalStatesOnPhysiologicalStatesUpdateEvent_Set | ( | clCPhysiologicalStatesDelegatePhysiologicalStatesUpdate | delegate,
|  | clCPhysiologicalStatesHandlerPhysiologicalStatesUpdate | handler
| ) |  |

Set handler for physiological states update event.